Last Comment Bug 681599 - Ctrl+T while in search mode should close search layer
: Ctrl+T while in search mode should close search layer
Status: VERIFIED FIXED
[good first bug]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 9
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-24 03:10 PDT by Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
Modified: 2016-04-12 14:00 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (3.58 KB, patch)
2011-08-25 02:26 PDT, Raymond Lee [:raymondlee]
ttaubert: review+
Details | Diff | Splinter Review
Patch for checkin (3.84 KB, patch)
2011-08-25 17:45 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-08-24 03:10:19 PDT
Pressing Ctrl+T to create new tab while in search mode, creates a new tab and zooms into it, but it doesn't close Panorama's search layer. When opening Panorama again after Ctrl+T the search layer is still visible.
Comment 1 Raymond Lee [:raymondlee] 2011-08-25 02:26:01 PDT
Created attachment 555681 [details] [diff] [review]
v1
Comment 2 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-08-25 02:39:16 PDT
Comment on attachment 555681 [details] [diff] [review]
v1

Review of attachment 555681 [details] [diff] [review]:
-----------------------------------------------------------------

Nice, thanks.
Comment 3 Raymond Lee [:raymondlee] 2011-08-25 17:45:18 PDT
Created attachment 555904 [details] [diff] [review]
Patch for checkin

Passed Try
http://tbpl.allizom.org/?tree=Try&usebuildbot=1&rev=c80d69ea8f07
Comment 5 Matt Brubeck (:mbrubeck) 2011-08-26 09:30:19 PDT
http://hg.mozilla.org/mozilla-central/rev/4362a0bf69e0
Comment 6 Virgil Dicu [:virgil] [QA] 2011-09-08 00:46:17 PDT
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:9.0a1) Gecko/20110907 Firefox/9.0a1
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:9.0a1) Gecko/20110907 Firefox/9.0a1
Mozilla/5.0 (X11; Linux x86_64; rv:9.0a1) Gecko/20110907 Firefox/9.0a1
Mozilla/5.0 (Windows NT 5.1; rv:9.0a1) Gecko/20110907 Firefox/9.0a1

Verified on Mac OS 10.7, Ubuntu 10.4, Windows XP, Windows 7 using the following steps:
1) Have multiple groups and tabs in Panorama.
2) Select the search button and type some characters.
3) Ctrl+T
4) Re-enter Panorama.
5) The search layer shouldn't be visible.

Also attempted to reproduce using multiple windows open, using switch-to-tab function before. Issue is no longer reproducible.
Verified fixed.

Note You need to log in before you can comment on or make changes to this bug.